in vec2 uv;
in vec2 uvn;

out vec4 C;

uniform int tex_render;

void main() {
    vec2 u = uvn;
    C = max(texture(textures[tex_render], u),0.);

    if(C.x > 0.5){
        C = vec4(1,0.5,0.3,1);
    } else {
        C = vec4(1,0.2,0.2,1);
    }
    C = sqrt(C);
    C.w = 1.0;
}
